Criar contato
curl --request POST \
--url https://api.synax.app.br/functions/v1/api-proxy/contacts \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"phone": "+5511999999999",
"name": "João Silva",
"email": "jsmith@example.com",
"tags": [
"<string>"
],
"source": "api",
"custom_fields": {}
}
'import requests
url = "https://api.synax.app.br/functions/v1/api-proxy/contacts"
payload = {
"phone": "+5511999999999",
"name": "João Silva",
"email": "jsmith@example.com",
"tags": ["<string>"],
"source": "api",
"custom_fields": {}
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
phone: '+5511999999999',
name: 'João Silva',
email: 'jsmith@example.com',
tags: ['<string>'],
source: 'api',
custom_fields: {}
})
};
fetch('https://api.synax.app.br/functions/v1/api-proxy/contacts', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"data": {
"phone": "+5511999999999",
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"company_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"name": "João Silva",
"email": "joao@email.com",
"temperature": "warm",
"tags": [
"lead",
"site"
],
"source": "api",
"job_title": "<string>",
"empresa": "<string>",
"custom_fields": {},
"do_not_contact": false,
"is_active": true,
"created_at": "2023-11-07T05:31:56Z",
"updated_at": "2023-11-07T05:31:56Z"
}
}Contatos
Criar contato
Cria um novo contato no CRM. O company_id é preenchido automaticamente pela API Key.
POST
/
contacts
Criar contato
Authorizations
API Key gerada em Configurações > API. Formato: sk_live_...
Body
application/json
Response
201 - application/json
Contato criado
Show child attributes
Show child attributes